All Classes Namespaces Functions Variables Groups Pages
CsvUtil::CsvStringWriter Class Reference

the CsvStringWriter class for in-memory string CSV creation More...

Inheritance diagram for CsvUtil::CsvStringWriter:
[legend]

## Public Member Functions

| constructor (*hash opts)
| creates the CsvStringWriter with content in the memory More...
string | getContent ()
| Get the current in-memory content as a string.
private | writeRawLine (list values)
| real write implementation. Without any checking.

## Additional Inherited Members

Private Member Functions inherited from CsvUtil::AbstractCsvWriter
| constructor (string errname, *hash opts)
| creates the AbstractCsvWriter More...
private string | dateFormat (int ix)
| format date to string by options. Priority: 1) column definition 2) standard format
private string | prepareRawLine (list values)
| Prepare a string (line with EOF) with formatting and escaping. More...
| write (AbstractIterator iterator)
| stream iterator into the file. More...
| writeLine (list values)
| write a line with list of values. Data are checked against column rules. More...
| writeLine (hash values)
| write a line with headers-values hash More...

## Detailed Description

the CsvStringWriter class for in-memory string CSV creation

## Member Function Documentation

CsvUtil::CsvStringWriter::constructor | ( | *hash | opts | ) |

creates the CsvStringWriter with content in the memory

Parameters

  opts | AbstractCsvWriter Constructor Option Hash Overview

Exceptions

  CSVSTRINGITER-ERROR | in the case of incorrect options